USE [DatabaseName]
GO

sp_configure "clr enabled", 1;
GO

RECONFIGURE
GO

CREATE ASSEMBLY Telerik_Web_UI_RecurrenceEngine
FROM '[Path to assembly]\Telerik.Web.UI.RecurrenceEngine.dll'
GO

CREATE ASSEMBLY ExpandRecurrence_SP
FROM '[Path to assembly]\ExpandRecurrence_UDF.dll'
GO

CREATE FUNCTION ExpandRecurrence
    (@recurrenceRule nvarchar(max), @rangeStart datetime, @rangeEnd datetime)
	RETURNS TABLE (StartDate datetime, EndDate datetime)
    AS EXTERNAL NAME ExpandRecurrence_SP.UserDefinedFunctions.ExpandRecurrence;
GO

----Clean-up
--DROP FUNCTION ExpandRecurrence
--GO
--
--DROP ASSEMBLY ExpandRecurrence_SP
--GO
--
--DROP ASSEMBLY Telerik_Web_UI_RecurrenceEngine
--GO
